import { PamirsEmployee, RuntimeRelationField } from '@oinone/kunlun-engine';
import { SelectFieldWidget } from '../../../../basic';
export declare abstract class AbstractFormEmployeeFieldWidget<Option extends PamirsEmployee = PamirsEmployee, Value extends PamirsEmployee | PamirsEmployee[] = PamirsEmployee | PamirsEmployee[], Field extends RuntimeRelationField = RuntimeRelationField> extends SelectFieldWidget<Option, Value, Field> {
    initialize(props: any): this;
    protected get employeeModel(): string | undefined;
    protected get companyModel(): string | undefined;
    protected get departmentModel(): string | undefined;
    protected get roleModel(): string | undefined;
    protected get employeeCodes(): string[] | undefined;
    protected get departmentCodes(): string[] | undefined;
    protected get roleCodes(): string[] | undefined;
    protected get userEmployee(): boolean | undefined;
    protected get userDept(): boolean | undefined;
    protected get userDeptAndChildren(): boolean | undefined;
    protected generatorSelectItemKey(value: PamirsEmployee): string;
}
